Subject: RE: draft-ietf-mpls-rsvp-lsp-tunnel-08.txt

From: Mark Feng <[email-masked]>
Date: Thu, 9 Aug 2001 19:17:57 -0700 (PDT)

Sorry to send this again. There is problem with the
e-mail system at work.

======================================================
Sorry, I still have some doubts on this that I hope
someone can shed some light on.

With what we discussed below, what would happen is
that, if S1, S3 only need 1M of bandwidth, and S2, S4
need 10M, on the path where S1, S3 take, even if they
only need 1M, they will get a request of 10M and as a
result, get a reservation of 10M. This seems to be
wasteful on that particular path. 

Would this be potential problem?

I really cannot find any reference/explanation in
RFC2205 and the RSVP-TE draft.

Thanks in advance.

- Mark

> -----Original Message-----
> From: David Charlap
[mailto:[email-masked]]
> Sent: Tuesday, July 17, 2001 12:15 PM
> To: [email-masked]
> Subject: Re: draft-ietf-mpls-rsvp-lsp-tunnel-08.txt
> 
> 
> "Feng, Mark" wrote:
> >>> 
> >>>                     ______
> >>>                    |      |
> >>>                +---|      |---+
> >>>                |   |______|   |
> >>>                |              |
> >>>                |s1,s3         |s1,s3
> >>>  s1,s2 ______  |              |  ______
> >>>  -----|      |-+              +-|      |
s1,s2,s3,s4
> >>>  -----|      |-+              +-|      |------
> >>>  s3,s4|______| |              | |______|
> >>>                |s2,s4_____    |s2,s4
> >>>                |   |      |   |
> >>>                +---|      |---+
> >>>                    |______|
> >>>
> >>> Is this possible in RSVP-TE?
> >>
> >> SE style only shares resources among LSPs that
share a single
> >> session.
> > 
> > Sorry I didn't make it clear. All the senders in
the diagram belong
> > to the same session.
> 
> Then all senders will get the same reservation.
> 
> > Considering the first node on the diagram, S1, S2
come in at one
> > interface, and S3, S4 come in at a different
interface. Even though
> > they belong to the same session, the Path messages
travel a
> > different path. This is somewhat different from
RSVP/RFC 2205,
> > where, in unicast, Path messages for the same
session take the
> > same path.
> > 
> > In this case, because Path messages take different
routes, Resv
> > messages will arrive at different interfaces, with
potentially
> > different resource requirements. The process of
handling the
> > resource allocation at various interfaces, as a
result, is
> > somewhat different from RSVP/RFC 2205.
> 
> Not really.  Reservations all come from the egress. 
All LSPs share a
> common egress router.  Whatever reservation it
chooses for one sender
> must be used for all of them.  This Resv message may
split up (with
> different filterspecs in the flow descriptor) as it
follows to the
> different PHOP routers, but they all reserve the
same resources.  When
> they come back together at the ingress router, they
are still 
> the same.
> 
> If the egress router tries to send different
flowspecs for 
> each sender,
> then it is in error.

__________________________________________________
Do You Yahoo!?
Make international calls for as low as $.04/minute with Yahoo! Messenger
http://phonecard.yahoo.com/